/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomNodeList_H___INT_
#define __GdomNodeList_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "NodeList.h"
namespace WebCore {
    gpointer toGDOM(NodeList* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMNodeList : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_NODE_LIST; }
    GDOMNodeList(PassRefPtr<WebCore::NodeList> impl);
    virtual ~GDOMNodeList();
    WebCore::NodeList* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::NodeList> m_impl;
};
G_END_DECLS

#endif /* __GdomNodeList_H___INT_*/
